/* --COPYRIGHT--,BSD
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
#ifndef HDC1000_H_
#define HDC1000_H_


//*****************************************************************************
// #defines
//*****************************************************************************
#define HDC1000_ADDRESS 		0x40	//I2C address for FDC1004
#define TEMPERATURE_ADDRESS 	0x00	//Temperature measurement output register
#define HUMIDITY_ADDRESS		0x01	//Relative humidity meas. output register
#define CONFIGURATION_ADDRESS 	0x02	//HDC1000 configuration and status
#define TEMP_RH_11BIT_MSB		0x15	//MSB of configuration (sets Temp & RH measurements, 11-bit resolution)
#define TEMP_RH_11BIT_LSB		0x00	//LSB of configuration (sets Temp & RH measurements, 11-bit resolution)

//*****************************************************************************
// Global Variables
//*****************************************************************************
extern uint8_t 	i2c_transmitCounter;	//Variable to store transmit status for I2C
extern uint8_t 	*p_i2c_transmitData;	//Pointer to I2C transmit data
extern uint8_t 	*p_i2c_receivedData;	//Pointer to I2C received data
extern int32_t		HDC_Temp;			//Variable to store temperature 
extern uint32_t 	HDC_RH;				//Variable to store humidity 

//*****************************************************************************
// Function declarations
//*****************************************************************************
void HDC1000_init(void);
void HDC1000_startMeasurement(void);
void HDC1000_readMeasurement(void);


#endif /* HDC1000_H_ */
