// *****************************************************************************
// FORM OF LICENSE FOR APPWIZARD FILES

// TEXAS INSTRUMENTS TEXT FILE LICENSE
// FOR TAPKO APPWIZARD FILES TO BE USED WITH TAPKO KAISTACK

// Copyright (c) 2015 Texas Instruments Incorporated
// Portions Copyright (c) 1999 * 2009 Tapko Technologies GmbH

// All rights reserved not granted herein.

// Limited License.

// Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive license under
// copyrights and patents it now or hereafter owns or controls to make, have made, use, import,
// offer to sell and sell ("Utilize") this software subject to the terms herein. With respect to the
// foregoing patent license, such license is granted solely to the extent that any such patent is
// necessary to Utilize the software alone. The patent license shall not apply to any combinations
// which include this software, other than combinations with devices manufactured by or for TI ("TI
// Devices"). No hardware patent is licensed hereunder'

// Use for Evaluation, Development and Support.

// You may copy, have copied, display and have displayed internally, distribute internally and use
// and have used internally this software for the sole purposes of evaluating and testing the
// software and designing, developing, maintaining and supporting your products, provided that
// the following conditions are met:

// * No reverse engineering, decompilation, or disassembly of this software is permitted with
//   respect to any software provided in binary form.
// * Any use is licensed by TI for use only with TI Devices and the Tapko KAIstack software.
// * Nothing shall obligate TI to provide you with source code for the software licensed and
//   provided to you in object code.

// Redistributions.

// Redistributions, if permitted as provided below, must preserve existing copyright notices and reproduce
// this license (including the above copyright notices and the disclaimer and (if
// applicable) source code license limitations below) in the documentation and/or other materials
// provided with the distribution.

// Redistributions in Binary Form.

// Redistribution in binary form, without modification, is permitted provided that the following
// conditions are met:
// * No reverse engineering, decompilation, or disassembly of this software is permitted with
//   respect to any software provided in binary form.
// * Any redistribution and use are licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.
// * Nothing shall obligate TI to provide you with source code for the software licensed and
// provided to you in object code.

// Redistributions in Source Form or Compiled from Source.

// If software source code is provided to you, modification and redistribution of the source code are
// permitted provided that the following conditions are met:

// * Any redistribution and use of the source code, including any resulting derivative works, are
//   licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.

// * Any redistribution and use of any object code compiled from the source code and any
//   resulting derivative works, are licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.

// Neither the name of Texas Instruments Incorporated nor the names of its suppliers may be used
// to endorse or promote products derived from this software without specific prior written
// permission.

// DISCLAIMER.
// THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
// OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT,
// INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRTCT LIABILITY, OR TORT (INCLUDING NEGLTGENCE OR OTHERWISE) ARISING IN
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
// *****************************************************************************

#include "project.h"
#include "eib_stk.h"
#include "app.h"
#include EIB_DEVICE_MODEL_APP_H_FILE

//------------------------------------------------------------------
// start of EEPROM data
#include "mem_eeprom.h"
#ifdef BCU_EEPROM_INIT
//------------------------------------------------------------------
// initialization of EEPROM-constants
//------------------------------------------------------------------

BCU_DEFINE_EEPROM_INIT = {
   SYS_EEPROM1
// ------------------------------------   address table
#define KAI_DEF_ADDR_TAB
#include "def_CommObj.h"
#include "cotab.h"
// ------------------------------------   association table
#define KAI_DEF_ASSOC_TAB
#include "def_CommObj.h"
#include "cotab.h"
// ------------------------------------   object table
#define KAI_DEF_CO_TAB
#include "def_CommObj.h"
#include "cotab.h"
// ------------------------------------   easy parameter
#ifdef EIB_EASY_PARAMETER_SIZE
   {0},
#endif
// ------------------------------------   parameter (APP_Parameter)
   {
     INT_CONST(2)                       // delay
   },                                 
// ------------------------------------   applikation EEPROM (APP_Eeprom)
#ifdef APPLICATION_EEPROM
   {
     0
   },
#endif
   SYS_EEPROM2
    };                           

MEMSEG_EEPROM char DM_easyChannelInfo[8] = {0,0,0,0,0,0,0,0};
#endif

#ifdef BCU_EEPROM_NO_INIT
BCU_DEFINE_EEPROM_NO_INIT;
MEMSEG_EEPROM char DM_easyChannelInfo[8];
#endif

//------------------------------------------------------------------
// end of EEPROM data
#include "mem_default.h"
//------------------------------------------------------------------

#define KAI_DEF_CO_PTR
#include "def_CommObj.h"
#include "cotab.h"


//------------------------------------------------------------------
// start of dummy segment
#include "mem_dummy.h"
//------------------------------------------------------------------

//------------------------------------------------------------------
// Declaration of the ETS Parameter
//------------------------------------------------------------------
//PAR_<type>_<length>_<offset>_<name>
//ETS_PARAMETER (delayTime, UI_16_0);
ETS_PARAMETER_EXPORT_START
ETS_PARAMETER_EXPORT (delayTime1, delayTime, UI_16_0)
ETS_PARAMETER_EXPORT_END

//------------------------------------------------------------------
// end of dummy segments
#include "mem_default.h"
//------------------------------------------------------------------


#ifdef EIB_INTERFACE_OBJECTS
#define OBJECT_TYPE_KAI_DEMO       0xff01

INTERFACE_OBJECT_START(Prop_KAIdemo, OBJECT_TYPE_KAI_DEMO)
  DEF_PROPERTY (200, propRW, IOC_PTR_DATA,             PDT_INT,   &PARAMETER.delayTime),
INTERFACE_OBJECT_END()

const BCU_ObjectTable MN_userObjects =
{
  (const BCU_ObjectDesc *) &Prop_KAIdemo,
  0
};
#endif // EIB_INTERFACE_OBJECTS

