/* --COPYRIGHT--,BSD
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//*****************************************************************************
// #includes
//*****************************************************************************
#include "myTimer.h"
#include "msp430fr5969.h"



/**********************************************************************//**
 * @brief  Sleep in LPM3 for input amount of ACLK/8 cycles
 *
 * @param  none
 *
 * @return none
 *************************************************************************/
void TB0_sleep(unsigned int time)
{
    TB0CTL &= ~(TBSSEL__INCLK + MC_3 + TBCLR + TBIE + CNTL_3);
    // Divide ACLK by 8
    TB0EX0 &= ~TBIDEX_7;
    TB0CTL |= TBSSEL__ACLK + ID_3;

    TB0CTL |= MC_1;
    TB0CCTL0 |= CCIE;
    TB0CCR0 = time;
    __bis_SR_register(LPM3_bits + GIE);
    
}


#pragma vector=TIMER0_B0_VECTOR
__interrupt void TB0_ISR(void)
{
	TB0CCTL0 &= ~CCIE;
	TB0CTL &= ~MC_3;

    __bic_SR_register_on_exit(LPM3_bits);
}
