// *****************************************************************************
// FORM OF LICENSE FOR APPWIZARD FILES

// TEXAS INSTRUMENTS TEXT FILE LICENSE
// FOR TAPKO APPWIZARD FILES TO BE USED WITH TAPKO KAISTACK

// Copyright (c) 2015 Texas Instruments Incorporated
// Portions Copyright (c) 1999 * 2009 Tapko Technologies GmbH

// All rights reserved not granted herein.

// Limited License.

// Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive license under
// copyrights and patents it now or hereafter owns or controls to make, have made, use, import,
// offer to sell and sell ("Utilize") this software subject to the terms herein. With respect to the
// foregoing patent license, such license is granted solely to the extent that any such patent is
// necessary to Utilize the software alone. The patent license shall not apply to any combinations
// which include this software, other than combinations with devices manufactured by or for TI ("TI
// Devices"). No hardware patent is licensed hereunder'

// Use for Evaluation, Development and Support.

// You may copy, have copied, display and have displayed internally, distribute internally and use
// and have used internally this software for the sole purposes of evaluating and testing the
// software and designing, developing, maintaining and supporting your products, provided that
// the following conditions are met:

// * No reverse engineering, decompilation, or disassembly of this software is permitted with
//   respect to any software provided in binary form.
// * Any use is licensed by TI for use only with TI Devices and the Tapko KAIstack software.
// * Nothing shall obligate TI to provide you with source code for the software licensed and
//   provided to you in object code.

// Redistributions.

// Redistributions, if permitted as provided below, must preserve existing copyright notices and reproduce
// this license (including the above copyright notices and the disclaimer and (if
// applicable) source code license limitations below) in the documentation and/or other materials
// provided with the distribution.

// Redistributions in Binary Form.

// Redistribution in binary form, without modification, is permitted provided that the following
// conditions are met:
// * No reverse engineering, decompilation, or disassembly of this software is permitted with
//   respect to any software provided in binary form.
// * Any redistribution and use are licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.
// * Nothing shall obligate TI to provide you with source code for the software licensed and
// provided to you in object code.

// Redistributions in Source Form or Compiled from Source.

// If software source code is provided to you, modification and redistribution of the source code are
// permitted provided that the following conditions are met:

// * Any redistribution and use of the source code, including any resulting derivative works, are
//   licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.

// * Any redistribution and use of any object code compiled from the source code and any
//   resulting derivative works, are licensed by TI:
//   - for use only with TI Devices and the Tapko KAIstack software;
//   - only if you have first obtained a commercial license for the software from Tapko
//     Technologies GmbH; and
//   - subject to the license rights and restrictions in your commercial license for the software
//     from Tapko Technologies GmbH.

// Neither the name of Texas Instruments Incorporated nor the names of its suppliers may be used
// to endorse or promote products derived from this software without specific prior written
// permission.

// DISCLAIMER.
// THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
// OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT,
// INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRTCT LIABILITY, OR TORT (INCLUDING NEGLTGENCE OR OTHERWISE) ARISING IN
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
// *****************************************************************************

#include "constant.h"

/**
Indicates that project settings are included
*/
#define PROJECT_SETTINGS

// automatic detection of the win32 project
#ifdef WIN32
#define DEBUG_WIN32          // debug version for PC without EEPROM
#endif
 
//------------------------------------------------------------------
//------------------------------------------------------------------
//{{TAPKO_EXPORT_MIC
#define DEBUG   1
#define KNX_DEMO 1
//------------------------------------------------------------------
/**
This onstant defines the KNX device model
possible definitions are (not complete):
- #define EIB_DEVICE_MODEL   @ref EIB_DEVICE_MODEL_0705
- #define EIB_DEVICE_MODEL   @ref EIB_DEVICE_MODEL_5705            
*/
//#define EIB_DEVICE_MODEL   EIB_DEVICE_MODEL_07B0
#define EIB_DEVICE_MODEL   EIB_DEVICE_MODEL_0705
#define AST_FORMAT 1

#define KNX_SERIAL_NR_INIT             0x00,0x72,0xff,0xff,0xC0,0x11, 


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// enables the EIB-easy controller mode
//#define EIB_EASY_CONTROLLER_MODE
//#define EIB_EASY_PARAMETER_SIZE 1

//------------------------------------------------------------------
// this section defines the board specific settings
// e.g. Microcontroller, KNX-IO ports, frequency, Compiler
//------------------------------------------------------------------

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// KNX_TARGET  - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
/**
defining the target platform
this includes:
- microcontroller family
- compiler, including version
- type of communication interface to KNX (KAIlink)
possible targets are (not complete list):
- communication interface: TPUART:
  -  #define KNX_TARGET  MSP430_IAR5_TF
- communication interface: KAIlink BIT, FZE 1066
  -  #define KNX_TARGET  MSP430_IAR5_DF
- communication interface: KAIlink RF, SX1211
  -  #define KNX_TARGET  MSP430_IAR5_RF
@see Targets
*/
#define KNX_TARGET  MSP430_IAR6_TF 


//------------------------------------------------------------------
// DERIVATE  - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
/**
Defines the derivate of the microcontroller family.
This variable is used to adapt the register access and the linking
examples for possible definitions (not complete)
- #define DERIVATE           MSP430F149
- #define DERIVATE           MSP430F2370
- #define DERIVATE           MSP430F249
- #define DERIVATE           MSP430F449
- #define DERIVATE           MSP430F5528
@see Targets
*/

#define DERIVATE           MSP430FR5969


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// defining type of the build
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
#define MAKE_USE_LIB        1
//#define MAKE_BUILD_LIB      1

#define LIB_TYPE            COMPLETE_LIB  


//------------------------------------------------------------------
/**
If the constant KAISTACK_EVAL_BOARD_H is defined, 
the board definition files for the KAIstack eval boards are included.
If this constant is not defined,
the application specific board definition file (e.g. KAI_board.h) has to be included.
*/
#define KAISTACK_EVAL_BOARD_H   TAPKO_DEFAULT_BOARD

//------------------------------------------------------------------
// this section defines required for the make process
// e.g. build type stack, additional defines
//------------------------------------------------------------------

// stack size
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
#define STACK_SIZE         200

//}}TAPKO_EXPORT_MIC
//------------------------------------------------------------------
//------------------------------------------------------------------

//------------------------------------------------------------------
// this section defines the KAIstack specific settings
//------------------------------------------------------------------

//------------------------------------------------------------------
/**
Enables additional check routines. E.g. Consistence check of pointer, sorting of tables. 
An error will lead to an error in the corresponding state machine. 
*/
#define MEMORY_CHECK


