/* --COPYRIGHT--,BSD
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
#include "rtc.h"


void RTC_init(void){
    // Configure RTC_C
       
        RTCCTL01 |=  RTCHOLD;               // Hold RTC
                                            // RTC enable, BCD mode, RTC hold
                                            // enable RTC read ready interrupt
                                            // enable RTC time event interrupt

        RTCCTL01 &= ~(RTCBCD);
        RTCCTL01 |= RTC_B_FORMAT_BINARY;

        // RTCTIM0_L = 0;
        // RTCTIM0_H = 59;
        // RTCTIM1_L = 23;
        // RTCTIM1_H = 1;
        // RTCDATE_L = 1;
        // RTCDATE_H = 1;
        // RTCYEAR = 2015;

        RTCPS1CTL |= RT1PSIE + RT1IP_5;
        RTCCTL01 |= RTCTEVIE;
        RTCCTL01 &= ~RTCHOLD;

    
}

#pragma vector=RTC_VECTOR
__interrupt void RTC_ISR(void)
{
    switch (__even_in_range(RTCIV, RTC_RTCOFIFG)) {
    case RTCIV_NONE:      break;
    case RTCIV_RTCRDYIFG: break;
    case RTCIV_RTCTEVIFG:
        RTCCTL01 &= ~RTCTEVIFG;
        break;
    case RTCIV_RTCAIFG:  break;             // RTCAIFG
    case RTCIV_RT0PSIFG: break;             // RT0PSIFG
    case RTCIV_RT1PSIFG:                    // RT1PSIFG
         RTCPS1CTL &= ~RT1PSIFG;
        __bic_SR_register_on_exit(LPM3_bits);

        break;
    case RTCIV_RTCOFIFG: break;             // RTCOFIFG
    default: break;
    }
}